% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_cumsum}
\alias{k_cumsum}
\title{Cumulative sum of the values in a tensor, alongside the specified axis.}
\usage{
k_cumsum(x, axis = 1)
}
\arguments{
\item{x}{A tensor or variable.}

\item{axis}{An integer, the axis to compute the sum (axis indexes are
1-based).}
}
\value{
A tensor of the cumulative sum of values of \code{x} along \code{axis}.
}
\description{
Cumulative sum of the values in a tensor, alongside the specified axis.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://keras.rstudio.com/articles/backend.html#backend-functions}.
}

