% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_normalize_batch_in_training}
\alias{k_normalize_batch_in_training}
\title{Computes mean and std for batch then apply batch_normalization on batch.}
\usage{
k_normalize_batch_in_training(x, gamma, beta, reduction_axes, epsilon = 0.001)
}
\arguments{
\item{x}{Input tensor or variable.}

\item{gamma}{Tensor by which to scale the input.}

\item{beta}{Tensor with which to center the input.}

\item{reduction_axes}{iterable of integers, axes over which to normalize.}

\item{epsilon}{Fuzz factor.}
}
\value{
A list length of 3, \code{(normalized_tensor, mean, variance)}.
}
\description{
Computes mean and std for batch then apply batch_normalization on batch.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://keras.rstudio.com/articles/backend.html#backend-functions}.
}

