% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_ones}
\alias{k_ones}
\title{Instantiates an all-ones tensor variable and returns it.}
\usage{
k_ones(shape, dtype = NULL, name = NULL)
}
\arguments{
\item{shape}{Tuple of integers, shape of returned Keras variable.}

\item{dtype}{String, data type of returned Keras variable.}

\item{name}{String, name of returned Keras variable.}
}
\value{
A Keras variable, filled with \code{1.0}.
}
\description{
Instantiates an all-ones tensor variable and returns it.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://keras.rstudio.com/articles/backend.html#backend-functions}.
}

