% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_pool3d}
\alias{k_pool3d}
\title{3D Pooling.}
\usage{
k_pool3d(x, pool_size, strides = c(1, 1, 1), padding = "valid",
  data_format = NULL, pool_mode = "max")
}
\arguments{
\item{x}{Tensor or variable.}

\item{pool_size}{list of 3 integers.}

\item{strides}{list of 3 integers.}

\item{padding}{string, \code{"same"} or \code{"valid"}.}

\item{data_format}{string, \code{"channels_last"} or \code{"channels_first"}.}

\item{pool_mode}{string, \code{"max"} or \code{"avg"}.}
}
\value{
A tensor, result of 3D pooling.
}
\description{
3D Pooling.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://keras.rstudio.com/articles/backend.html#backend-functions}.
}

